[youtubei.js](../../../README.md) / [Generator](../README.md) / isMiscType

# Function: isMiscType()

> **isMiscType**(`key`, `value`): [`MiscInferenceType`](../type-aliases/MiscInferenceType.md) \| `false`

Check if the given value is a misc type.

## Parameters

• **key**: `string`

The key of the value

• **value**: `unknown`

The value to check

## Returns

[`MiscInferenceType`](../type-aliases/MiscInferenceType.md) \| `false`

If it is a misc type, return the InferenceType. Otherwise, return false.

## Defined in

[src/parser/generator.ts:163](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L163)
